Upgrade of udisks2 is kept back

Forum Forums News Sid Upgraders Upgrade of udisks2 is kept back

  • This topic has 3 replies, 2 voices, and was last updated Nov 3-12:56 pm by anticapitalista.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #13008
    Member
    XaverXaver

    Sinnce about a month there is a new version of udisks 2, but upgrade has been kept back on my antix-sid-system
    udisks2/sid 2.8.1-2.0nosystemd2 amd64 [aktualisierbar von: 2.8.1-1.0nosystemd1]

    To check out why I have run

    # apt install --reinstall -d udisks2
    ...
    The following packages will be REMOVED:
      systemd-must-die
    The following NEW packages will be installed:
      elogind libelogind0 libpam-elogind
    The following packages will be upgraded:
      udisks2
    ...

    But so far I have not needed elogind on my Openbox system with SpaceFM. Why now?
    There should not be a conflict with systemd-must-die either.
    My guess: There seems to be something wrong with dependencies (?).

    #13013
    Forum Admin
    anticapitalistaanticapitalista

    systemd-must-die is not needed, in fact, I don’t think it was ever needed.

    udisks2 now needs libpam-elogind so elogind gets installed.

    Previously it needed consolekit, but consolekit is seen as harmful according to the latest changelog.

    consolekit (0.4.6-6.1) unstable; urgency=medium

    * Non-maintainer upload.
    * Mark packages as kfreebsd-any hurd-any. On Linux, the consolekit package
    is actively harmful and should no longer be installed. See #888892

    — Michael Biebl Wed, 31 Jan 2018 23:38:09 +0100

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #13016
    Member
    XaverXaver

    @ anticapitalista Thanks for your reply.
    To my understanding systemd-must-die and prevent-systemd do nothing except creating conflicts with packages, which are related to systemd. Yes, they are not needed. But they might be helpful as a signal to keep systemd out of the system. If systemd is knocking at your door, they are indicated to be removed.

    I now have deinstalled systemd-must-die. Then the upgrade of udisks2 worked without problems. The elogind stuff was installed as dependencies.
    It seems to me, that consolekit and libck-connector0 are not needed anymore. So I have purged them. Everything seems to work fine, but at login I get the following error message:
    GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ConsoleKit was not provided by any .service files
    What should I do about it?

    • This reply was modified 1 year, 9 months ago by Xaver.
    #13018
    Forum Admin
    anticapitalistaanticapitalista

    Since we use slim login manager, it is best to keep consolekit for now. On my sid box, I cannot get to desktop without it.

    • This reply was modified 1 year, 9 months ago by anticapitalista.

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.